Announcements
Welcome to the Revit Ideas Board! Before posting, please read the helpful tips here. Thank you for your Ideas!
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Stop button for Dynamo and Dynamo player

Stop button for Dynamo and Dynamo player

That moment when you hit run and you realize that something is missing in the script, and you will have to wait an hour until the process finished or end Revit with Task Manager and lose work.

4 Comments
Anonymous
Not applicable

Agree.

 

It is really necessary. At this moment I´m using a simple script only when I testing it. Let me share and show the results.

 

Cause of we have not a pause button we can use a python node importing time function and then using a Boolean node( true and false), for choose the moment for pause and split the process.

PAUSE SIMULATION-01.pngPAUSE SIMULATION-02.pngSOLUTION IN PYTHON.JPG

 

As you can check, it is not working when you are using dynamo player, but until that innovation arrive, we shall be creative. 

josh_moore
Enthusiast

Please do this!  I really don't understand why so many things in Revit (and now Dynamo) seem to take so long or never get a cancel button.  I mean we just now got a formal cancel button a release or two back for upgrading Revit models.  To me this is UI/functionality 101 for software design...cancel a command.

pascal.robben
Enthusiast

@Anonymous 

I tried your python script but it doesn't work,  maybe I typed something incorrect.

Warning: IronPythonEvaluator.EvaluateIronPythonScript operation failed.
Traceback (most recent call last):
File "<string>", line 13, in <module>
TypeError: list is not callable

 

import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
# The inputs to this node will be stored as a list in the IN variables.
A = IN[0]
B = IN[1]
# Assign your output to the OUT variable.
import time
if B == False:
    OUT = "PROCESS IS IN PAUSE, PRESS TRUE TO GO"
else:
    time.sleep(1)
    OUT = IN(0)

yuriykulakov
Explorer

import clr
clr.AddReference('ProtoGeometry')
from Autodesk.DesignScript.Geometry import *
# The inputs to this node will be stored as a list in the IN variables.
A = IN[0]
B = IN[1]
# Assign your output to the OUT variable.
import time
if B == False:
    OUT = "PROCESS IS IN PAUSE, PRESS TRUE TO GO"
if B == True:
    time.sleep(2)
    OUT = A

Can't find what you're looking for? Ask the community or share your knowledge.

Submit Idea  

Forma Design Contest


Technology Administrators